#pragma once
#include "utility.h"
#include "HausdorffNode.h"
#include "HausdorffImageProcessor.h"
#include "HausdorffImageSimplify.h"
#include "HausdorffImageMatch.h"
class batchProcessor
{
private:
	int width;
	int height;
public:
	batchProcessor(void);
	~batchProcessor(void);
public:
	vector<vector<HausdorffNode>>  imageSimplify(string path,int numseg,bool bmerge=true,bool saveinfo=true);
	

	void batchRetrieval(string testpath,string labelpath,vector<int> labelobjs=vector<int>());


	void batchTest(char* labelPath,char* rootpath,char*name,vector<int> labelobjs=vector<int>());
private:	

	
	vector<vector<HausdorffNode>>  batchLoadNodes(string path,vector<int>objs=vector<int>());
	vector<string> getFileNamesFromLabelObj(vector<int>labelobj);
	vector<string> readMatchedFile(string);
	vector<vector<HausdorffNode>>  loadCandidateNodes(string path,vector<string> imageNames);
	


	//void batchSave
};
